Actions / Media
Edit image
Read and createedit_image
Edits a Media Library photo: change it with an instruction, remove the background, crop to an aspect ratio or add your logo. Changes use AI credits.
Needs the write scope. Creates or changes things in Chirpy. Publishes nothing.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
fileId | integer | Yes | |
operation | "change" | "remove_background" | "crop" | "add_logo" | ||
instruction | string | ||
referenceFileIds | integer[] | change only: up to 3 Media Library images to copy items from | |
aspect | "1:1" | "4:5" | "9:16" | "16:9" | "1.91:1" | ||
position | "top-left" | "top-center" | "top-right" | "center" | "bottom-left" | "bottom-center" | "bottom-right" | ||
size | "small" | "medium" | "large" |
REST
curl https://chirpy.me/api/v1/edit_image \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{"fileId":123}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "edit_image",
"arguments": {
"fileId": 123
}
}
}MCP hints: readOnlyHint: false, destructiveHint: false, idempotentHint: false, openWorldHint: false.
